﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login'
          }
        ]
      },
      {
        component: './404'
      }
    ]
  },
  {
    path: '/',
    redirect: '/project/management'
  },
  // {
  //   path: '/dashboard',
  //   name: 'dashboard',
  //   icon: 'icon-shouye',
  //   component: './Dashboard'
  // },
  {
    path: '/project',
    name: 'project',
    icon: 'icon-city-one-add',
    routes: [
      {
        path: '/project',
        redirect: '/project/management'
      },
      {
        path: '/project/management',
        name: 'management',
        component: './Project/Management'
      },
      // {
      //   path: '/project/verification',
      //   name: 'verification',
      //   component: './Project/Verification'
      // },
      {
        path: '/project/created',
        name: 'created',
        component: './Project/Created'
      }
    ]
  },
  {
    path: 'institutions',
    name: 'institutions',
    icon: 'icon-every-user',
    routes: [
      {
        path: '/institutions',
        redirect: '/institutions/company'
      },
      {
        path: 'company',
        name: 'company',
        routes: [
          {
            path: '/institutions/company',
            redirect: '/institutions/company/list'
          },
          {
            path: 'list',
            name: 'list',
            hideInMenu: true,
            component: './Institutions/Company/List'
          },
          {
            path: 'detail',
            name: 'detail',
            hideInMenu: true,
            component: './Institutions/Company/Detail'
          }
        ]
      },
      {
        path: 'staff',
        name: 'staff',
        component: './Institutions/Staff'
      }
    ]
  },
  {
    path: '/work-setting',
    name: 'work-setting',
    icon: 'icon-yewushezhi',
    routes: [
      {
        path: 'schema',
        name: 'schema',
        icon: 'icon-schema',
        component: './Schema/Base/index.tsx'
      },
      {
        path: 'test',
        name: 'test',
        layout: false,
        component: './Schema/Designable/index.tsx'
      },
      {
        path: '/work-setting/schema/detail',
        name: 'schema-detail',
        hideInMenu: true,
        component: './Schema/Base/detail.tsx'
      }
    ]
  },
  {
    path: 'system',
    name: 'system',
    icon: 'icon-config',
    routes: [
      {
        path: '/system',
        redirect: '/system/admin-update'
      },
      // {
      //   path: 'setting',
      //   name: 'setting',
      //   component: './System/Setting'
      // },
      {
        path: 'admin-update',
        name: 'admin-update',
        component: './System/AdminUpdate'
      }
    ]
  },
  {
    component: './404'
  }
]
