export enum Actions {
  SET_ELEMENTS = 'set_elements',
  SET_FLOW_NODE = 'set_flow_node',
  SET_FLOW_INSTANCE = 'set_flow_instance',
  REMOVE_FLOW_NODE = 'remove_flow_node',
  OPEN_MODAL = 'open_modal',
  CLOSE_MODAL = 'close_modal'
}

export enum ApprovalType {
  /** @name 指定成员 */
  TARGET = '1',
  /** @name 上级 */
  SUPERIOR = '2',
  /** @name 角色 */
  ROLE = '3',
  /** @name 发起人自选 */
  INITIATOR = '4',
  /** @name 连续多级上级 */
  MULTISTAGE = '5'
}

export enum ApprovalMethod {
  /** @name 顺序 */
  ORDER = '1',
  /** @name 会签 */
  ALL = '2',
  /** @name 或签 */
  ONESELF = '3'
}
