import ApprovalFlow from '@/components/Flow'
import type { FC } from 'react'
type ApprovalDetailProps = {
  id: string
  onVisibleChange: (visible: boolean) => void
}
const ApprovalDetail: FC<ApprovalDetailProps> = props => {
  return (
    <div className="w-full h-full">
      <ApprovalFlow {...props.data} closeAnimateContent={props.onVisibleChange} />
    </div>
  )
}

export default ApprovalDetail
