import { request } from 'umi'

/** 获取当前的用户 GET /backstage/currentUser */
export async function queryCurrentUser() {
  return request<API.AurrentAccount>('/login/account', {
    method: 'GET'
  })
}

/** 登录 */
export async function login(body: API.LoginParams) {
  return request<API.LoginResult>('/login', {
    method: 'POST',
    data: body
  })
}

/** 退出登录 */
export async function outLogin() {
  // return request<Record<string, any>>('/login/outLogin', {
  //   method: 'POST',
  //   ...(options || {})
  // })
}
