import { request } from 'umi'

/** 更改管理员密码 */
export async function updateSetting(params: API.UpdateSettingParams) {
  return request('/setting/update/admin', {
    method: 'POST',
    data: params
  })
}

/** 更改管理员密码 */
export async function getSetting(params: API.GetSettingParams) {
  return request('/setting/detail', {
    method: 'GET',
    params
  })
}
