const fabric = require('@umijs/fabric');

module.exports = {
  ...fabric.prettier,
  semi: false,
  // quoteProps: 'consistent',
  htmlWhitespaceSensitivity: 'ignore',
  jsxBracketSameLine: true,
  trailingComma: 'none',
  bracketSpacing: true,
  arrowParens: 'avoid',

  printWidth: 100,
  tabWidth: 2,
  singleQuote: true,
  quoteProps: 'as-needed',
  bracketSpacing: true,
  jsxSingleQuote: false,
  insertPragma: false,
  requirePragma: false,
  proseWrap: 'never',
  htmlWhitespaceSensitivity: 'strict',
  endOfLine: 'lf',
  rangeStart: 0,
  overrides: [
    {
      files: '*.md',
      options: {
        tabWidth: 2,
      },
    },
  ],
};
